## ThunarIconRenderer

ThunarIconRenderer

## Functions

GtkCellRenderer * | thunar_icon_renderer_new ()

## Properties

ThunarFile * | drop-file | Read / Write
gboolean | emblems | Read / Write / Construct
ThunarFile * | file | Read / Write
gboolean | follow-state | Read / Write
char * | highlight-color | Read / Write
gboolean | highlighting-enabled | Read / Write
gboolean | image-preview-enabled | Read / Write
gboolean | rounded-corners | Read / Write
ThunarIconSize | size | Read / Write / Construct
gboolean | use-symbolic-icons | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── ThunarIconRenderer
                    ╰── ThunarShortcutsIconRenderer

## Description

## Functions

### thunar_icon_renderer_new ()

    GtkCellRenderer *
    thunar_icon_renderer_new (void);

Creates a new ThunarIconRenderer. Adjust rendering parameters using object properties. Object properties can be set globally with g_object_set. Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel.

#### Returns

the newly allocated ThunarIconRenderer.

## Property Details

### The `“drop-file”` property

      “drop-file”                ThunarFile *

The file which should be rendered in the drop accept state.

Owner: ThunarIconRenderer

Flags: Read / Write

### The `“emblems”` property

      “emblems”                  gboolean

Specifies whether to render emblems in addition to the file icons.

Owner: ThunarIconRenderer

Flags: Read / Write / Construct

Default value: TRUE

### The `“file”` property

      “file”                     ThunarFile *

The file whose icon to render.

Owner: ThunarIconRenderer

Flags: Read / Write

### The `“follow-state”` property

      “follow-state”             gboolean

Specifies whether the icon renderer should render icons based on the selection state of the items. This is necessary for ExoIconView, which doesn't draw any item state indicators itself.

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: FALSE

### The `“highlight-color”` property

      “highlight-color”          char *

The color with which the cell should be highlighted.

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: NULL

### The `“highlighting-enabled”` property

      “highlighting-enabled”     gboolean

Determines if the cell background should be drawn with highlight color.

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: FALSE

### The `“image-preview-enabled”` property

      “image-preview-enabled”    gboolean

Determines if as well xxl-thumbnails should be requested

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: FALSE

### The `“rounded-corners”` property

      “rounded-corners”          gboolean

Determines if the cell should be clipped to rounded-corners. Useful when highlighting is enabled & a highlight color is set.

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: FALSE

### The `“size”` property

      “size”                     ThunarIconSize

The size at which icons should be rendered by this ThunarIconRenderer instance.

Owner: ThunarIconRenderer

Flags: Read / Write / Construct

Default value: THUNAR_ICON_SIZE_32

### The `“use-symbolic-icons”` property

      “use-symbolic-icons”       gboolean

use-symbolic-icons.

Owner: ThunarIconRenderer

Flags: Read / Write

Default value: FALSE